#pragma once

#include <saas/protos/reply.pb.h>
#include <saas/util/transaction.h>

class IRTYReplierAbstract: public TGuardIncompatibleAction {
public:
    using TGuardIncompatibleAction::TGuardIncompatibleAction;

    virtual ~IRTYReplierAbstract() = default;

    virtual void SetStatus(NRTYServer::TReply::TRTYStatus status, const TString& errorMessage) = 0;

    virtual void Reply() = 0;
};
